unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Spin, DigitsPanel;

type
  TMainForm = class(TForm)
    RandTimer: TTimer;
    {}
    DigitsLabel: TLabel;
    DigitsCombo: TComboBox;
    BevelWidthLabel: TLabel;
    BevelWidthEdit: TSpinEdit;
    LengthLabel: TLabel;
    LengthEdit: TSpinEdit;
    MarginLabel: TLabel;
    MarginEdit: TSpinEdit;
    Bevel1: TBevel;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure RandTimerTimer(Sender: TObject);
    procedure DigitsComboChange(Sender: TObject);
    procedure BevelWidthEditChange(Sender: TObject);
    procedure LengthEditChange(Sender: TObject);
    procedure MarginEditChange(Sender: TObject);
  private
    Bits: TBitMap;
    Panel: TDigitsPanel;
  public
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.FormCreate(Sender: TObject);
begin
  Bits := TBitMap.Create;
  Panel := TDigitsPanel.Create(Self);
  with Panel do
    begin
      Parent := Self; Top := 10; Left := 20;
    end;
  with DigitsCombo do
    begin
      ItemIndex := 0;
      Bits.LoadFromFile('BigDigits.bmp'); Panel.Digits := Bits
    end;
  BevelWidthEdit.Text := Format('%d',[Panel.BevelWidth]);
  with LengthEdit do
    begin
      MinValue := Low(Panel.Length);
      MaxValue := High(Panel.Length);
      Text := Format('%d',[Panel.Length]);
    end;
  MarginEdit.Text := Format('%d',[Panel.Margin]);
end;

procedure TMainForm.FormDestroy(Sender: TObject);
begin
  Panel.Free;
  Bits.Free;
end;

procedure TMainForm.RandTimerTimer(Sender: TObject);
begin
  Panel.Value := Random(Trunc(Exp(Panel.Length*Ln(10))));
end;

procedure TMainForm.DigitsComboChange(Sender: TObject);
begin
  case DigitsCombo.ItemIndex of
    0: Bits.LoadFromFile('BigDigits.bmp');
    1: Bits.LoadFromFile('SmallDigits.bmp');
    2: Bits.LoadFromFile('SpecialDigits.bmp');
  end;
  Panel.Digits := Bits;
end;

procedure TMainForm.BevelWidthEditChange(Sender: TObject);
begin
  Panel.BevelWidth := StrToInt(BevelWidthEdit.Text);
end;

procedure TMainForm.LengthEditChange(Sender: TObject);
begin
  Panel.Length := StrToInt(LengthEdit.Text);
end;

procedure TMainForm.MarginEditChange(Sender: TObject);
begin
  Panel.Margin := StrToInt(MarginEdit.Text);
end;


end.
